## rocm-smi-lib 7.1.0

=== debian/changelog ===
rocm-smi-lib (7.1.0-0ubuntu3) resolute; urgency=medium

  * d/control: build explicitly not for riscv and i386 (LP: #2138727)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 20 Jan 2026 14:08:30 +0100

rocm-smi-lib (7.1.0-0ubuntu2) resolute; urgency=medium

  [ Talha Can Havadar ]
  * New upstream version 7.1.0 (LP: #2138653)
  * d/p/0002-add-version-script-to-control-exposed-symbols.patch:
    Fix FTBFS, error bad value for '-march=' switch

  [ Gennaro Oliva ]
  * d/control: add missing libdrm-dev for librocm-smi-lib (Closes: #1121159)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 19 Dec 2025 08:45:45 +0100

rocm-smi-lib (7.1.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Igor Luppi ]
  * d/{control,liboam1*,librocm-smi64-1*}: Update SOVERSION from 1 to 7
  * d/p/0002-add-version-script-to-control-exposed-symbols.patch: fix soversion
  * d/rules: fix soversion

  [ Zhai Zhaoxuan ]
  * d/control: add pkg-config in build-depends
  * d/not-installed: update the name of duplicated LICENSE file

  [ Talha Can Havadar ]
  * d/rules: make symbol checking strict for builds
  * d/patches: fix so version problem due to missing git

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 17 Dec 2025 16:21:06 -0300

rocm-smi-lib (6.4.3-0ubuntu1) questing; urgency=medium

  * New upstream version 6.4.3
  * d/control: update maintainer information

 -- Igor Luppi <igor.luppi@canonical.com>  Mon, 22 Sep 2025 15:52:03 -0300

rocm-smi-lib (6.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CMAKE_SHARED_LINKER_FLAGS usage. (Closes: #1123710)
  * Fix building twice in a row.
  * Restrict autopkgtest dependencies to rocm-smi.
  * Drop redundant Rules-Requires-Root: no.
  * Add superficial autopkgtest for CMake find_package(rocm_smi).
  * librocm-smi-dev: Promote liboam-dev to dependency. (Closes: #1022797)
  * Add superficial autopkgtest for rocm_smi.h usability.
  * librocm-smi-dev: Add dependency on libdrm-dev. (Closes: #1121159)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Dec 2025 11:01:26 +0100
