=== debian/control ===
Source: rocm-smi-lib
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Étienne Mollier <emollier@debian.org>,
           Xuanteng Huang <xuanteng.huang@outlook.com>,
           Cordell Bloor <cgmb@debian.org>,
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libdrm-dev,
               pkgconf,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-smi-lib
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-smi-lib.git
Homepage: https://github.com/ROCm/rocm_smi_lib

Package: rocm-smi
Architecture: amd64 arm64 ppc64el s390x
Section: utils
Depends: ${misc:Depends},
         python3:any,
         librocm-smi64-7 (= ${binary:Version})
Description: ROCm System Management Interface (ROCm SMI) command-line interface
 This is the reference implementation from AMD, exposing the ROCm SMI library
 to the user. It presents a Python executable, `rocm-smi`.

Package: librocm-smi64-7
Architecture: amd64 arm64 ppc64el s390x
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ROCm System Management Interface (ROCm SMI) library
 The ROCm System Management Interface Library, or ROCm SMI library,
 is part of the ROCm software stack. It is a C library for Linux
 that provides a user space interface for applications to monitor
 and control GPU applications.

Package: librocm-smi-dev
Architecture: amd64 arm64 ppc64el s390x
Section: libdevel
Depends: ${misc:Depends},
         liboam-dev (= ${binary:Version}),
         libdrm-dev,
         librocm-smi64-7 (= ${binary:Version})
Description: ROCm System Management Interface (ROCm SMI) library headers
 ROCm SMI is part of the ROCm software stack. It is a C library for Linux
 that provides a user-space interface for applications to monitor and
 control GPU applications.
 .
 This package contains the development headers.

Package: liboam7
Architecture: amd64 arm64 ppc64el s390x
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Datacenter flavor of a GPU system-management API
 OCP Accelerator Module (OAM), is an Open Compute Project (OCP) hardware
 standard, used in datacenters and high-performance-computing (HPC) clusters.
 This library is the sibling of the ROCm System Management Interface (SMI)
 Application Programming Interface (API), targeted at OAMs.

Package: liboam-dev
Architecture: amd64 arm64 ppc64el s390x
Section: libdevel
Depends: ${misc:Depends},
         liboam7 (= ${binary:Version})
Description: Datacenter flavor of a GPU system-management API headers
 OCP Accelerator Module (OAM), is an Open Compute Project (OCP) hardware
 standard, used in datacenters and high-performance-computing (HPC) clusters.
 This library is the sibling of the ROCm System Management Interface (SMI)
 Application Programming Interface (API), targeted at OAMs.
 .
 This package contains the development headers.
